# Important Notes:
# fabric.mod.json's modid field cannot be expanded, you must change it manually.
# Every field you add must be added to buildSrc/src/main/groovy/multiloader-common.gradle expandProps map.

# Project
version=0.5.6
group=top.r3944realms.lib39
java_version=25

# Common
minecraft_version=26.1.2
mod_name=3944Realms 's Lib Mod
mod_author=R3944Realms
mod_id=lib39
license=MIT
credits=Logo created by Shanyi43, edited by R3944Realms
description=Lib39 is a general-purpose dependency library that provides utility methods and core functionality for other mods.
minecraft_version_range=[26.1.2, 26.2)
neo_form_version=26.1.2-1

# NeoForge
neoforge_version=26.1.2.7-beta
neoforge_loader_version_range=[4,)

# Fabric
fabric_version=0.145.4+26.1.2
fabric_loader_version=0.18.6

# Gradle
org.gradle.jvmargs=-Xmx3G
org.gradle.daemon=false

# Release
publish_github=true
publish_modrinth=true
publish_curseforge=true

modrinth_id=n65Vs1Vk
curseforge_id=1445917

java_versions=25

fabric_modrinth_dependencies=
neoforge_modrinth_dependencies=
fabric_curseforge_dependencies=
neoforge_curseforge_dependencies=
